QGIS crashes when activating the "OSM feature" plugin

2010-09-15 12:16 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Unix Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13072

Description

I'm with qgis-trunk 14229 and Ubuntu 10.04.

Installed the "openlayers" plugin (and no one other plugin)

set the project projection to "google mercator"

added a Google/OSM/yahoo layer

at this point activating the "OSM feature" crashes QGIS -> seg fault

You can try the other way:

in a clean project activate the "OSM feature" plugin

set the project CRS to Google mercator and add a layer

add OSM features with the "OSM feature" plugin, so far so good

deactivate the "OSM feature" and the plugin goes down.

Not really sure if this is a Openlayers plugin problem or a OSM plugin problem.

History

#1 - 2010-09-15 12:22 PM - Giovanni Manghi

PS

Does not happens under qgis-trunk under Windows Seven

#2 - 2011-03-05 02:13 AM - Volker Fröhlich

Doesn't crash on Trunk in Fedora 14.

Nevertheless, there is a huge delay and the zoom level changes, when you hide the OSM feature manager, so something may still to be wrong.

#3 - 2011-03-07 05:34 AM - Giovanni Manghi
- Resolution set to fixed

- Status changed from Open to Closed

does not crash anymore
